ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Member Functions | Private Attributes | List of all members
UpperTesterCamCodec Class Reference

`#include <UpperTesterCamCodec.hh>`

Inheritance diagram for UpperTesterCamCodec:

## Public Member Functions
| UpperTesterCamCodec ()
virtual | ~UpperTesterCamCodec ()
virtual int | encode (const Record_Type &, OCTETSTRING &data)
| Encode typed message into an octet string. More...
int | encode (const LibItsCam__TypesAndValues::UtCamTrigger &, OCTETSTRING &data)
virtual int | decode (const OCTETSTRING &data, Record_Type &, Params *params=NULL)
| Encode typed message into an octet string format. More...
std::unique_ptr< Base_Type > | decode (const OCTETSTRING &data, Params *params=NULL)
Public Member Functions inherited from Codec< Record_Type, Record_Type >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions
int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | decode (const OCTETSTRING &data, LibItsCam__TypesAndValues::UtCamResults &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsCam__TypesAndValues::UtCamEventInd &msg, Params *params=NULL)

## Private Attributes
const unsigned char | c_utCamInitialize = 0x00
const unsigned char | c_utCamInitializeResult = 0x01
const unsigned char | c_utCamChangePosition = 0x02
const unsigned char | c_utCamChangePositionResult = 0x03
const unsigned char | c_utCamChangeCurvature = 0x30
const unsigned char | c_utCamChangeSpeed = 0x31
const unsigned char | c_utCamSetAccelerationStatus = 0x32
const unsigned char | c_utCamSetExteriorLightsStatus = 0x33
const unsigned char | c_utCamChangeHeading = 0x34
const unsigned char | c_utCamSetDriveDirection = 0x35
const unsigned char | c_utCamChangeYawRate = 0x36
const unsigned char | c_utCamSetStationType = 0x39
const unsigned char | c_utCamSetVehicleRole = 0x3a
const unsigned char | c_utCamSetEmbarkationStatus = 0x3b
const unsigned char | c_utCamSetPtActivation = 0x3c
const unsigned char | c_utCamSetDangerousGoods = 0x3d
const unsigned char | c_utCamSetLightBarSirene = 0x3f
const unsigned char | c_utCamTriggerResult = 0x21
const unsigned char | c_utCamEventInd = 0x23

## Additional Inherited Members
Protected Attributes inherited from Codec< Record_Type, Record_Type >
Params * | _params

## Constructor & Destructor Documentation

## ◆ UpperTesterCamCodec()

UpperTesterCamCodec::UpperTesterCamCodec | ( |  | ) |
| inline

## ◆ ~UpperTesterCamCodec()

virtual UpperTesterCamCodec::~UpperTesterCamCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode() [1/4]

int UpperTesterCamCodec::decode | ( | const OCTETSTRING & | p_,
|  | Record_Type & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ decode() [2/4]

std::unique_ptr< Base_Type > UpperTesterCamCodec::decode | ( | const OCTETSTRING & | data,
|  | Params * | params = `NULL`
| ) |  |

## ◆ decode() [3/4]

int UpperTesterCamCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsCam__TypesAndValues::UtCamResults & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ decode() [4/4]

int UpperTesterCamCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsCam__TypesAndValues::UtCamEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ encode() [1/2]

int UpperTesterCamCodec::encode | ( | const Record_Type & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ encode() [2/2]

int UpperTesterCamCodec::encode | ( | const LibItsCam__TypesAndValues::UtCamTrigger & | msg,
|  | OCTETSTRING & | data
| ) |  |

## ◆ encode_()

int UpperTesterCamCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |
| private

## Member Data Documentation

## ◆ c_utCamChangeCurvature

const unsigned char UpperTesterCamCodec::c_utCamChangeCurvature = 0x30
| private

## ◆ c_utCamChangeHeading

const unsigned char UpperTesterCamCodec::c_utCamChangeHeading = 0x34
| private

## ◆ c_utCamChangePosition

const unsigned char UpperTesterCamCodec::c_utCamChangePosition = 0x02
| private

## ◆ c_utCamChangePositionResult

const unsigned char UpperTesterCamCodec::c_utCamChangePositionResult = 0x03
| private

## ◆ c_utCamChangeSpeed

const unsigned char UpperTesterCamCodec::c_utCamChangeSpeed = 0x31
| private

## ◆ c_utCamChangeYawRate

const unsigned char UpperTesterCamCodec::c_utCamChangeYawRate = 0x36
| private

## ◆ c_utCamEventInd

const unsigned char UpperTesterCamCodec::c_utCamEventInd = 0x23
| private

## ◆ c_utCamInitialize

const unsigned char UpperTesterCamCodec::c_utCamInitialize = 0x00
| private

## ◆ c_utCamInitializeResult

const unsigned char UpperTesterCamCodec::c_utCamInitializeResult = 0x01
| private

## ◆ c_utCamSetAccelerationStatus

const unsigned char UpperTesterCamCodec::c_utCamSetAccelerationStatus = 0x32
| private

## ◆ c_utCamSetDangerousGoods

const unsigned char UpperTesterCamCodec::c_utCamSetDangerousGoods = 0x3d
| private

## ◆ c_utCamSetDriveDirection

const unsigned char UpperTesterCamCodec::c_utCamSetDriveDirection = 0x35
| private

## ◆ c_utCamSetEmbarkationStatus

const unsigned char UpperTesterCamCodec::c_utCamSetEmbarkationStatus = 0x3b
| private

## ◆ c_utCamSetExteriorLightsStatus

const unsigned char UpperTesterCamCodec::c_utCamSetExteriorLightsStatus = 0x33
| private

## ◆ c_utCamSetLightBarSirene

const unsigned char UpperTesterCamCodec::c_utCamSetLightBarSirene = 0x3f
| private

## ◆ c_utCamSetPtActivation

const unsigned char UpperTesterCamCodec::c_utCamSetPtActivation = 0x3c
| private

## ◆ c_utCamSetStationType

const unsigned char UpperTesterCamCodec::c_utCamSetStationType = 0x39
| private

## ◆ c_utCamSetVehicleRole

const unsigned char UpperTesterCamCodec::c_utCamSetVehicleRole = 0x3a
| private

## ◆ c_utCamTriggerResult

const unsigned char UpperTesterCamCodec::c_utCamTriggerResult = 0x21
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/UpperTesterCamCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/UpperTesterCamCodec.cc